## Class TMetaTag

Description

TMetaTag class.

TMetaTag represents a meta tag appearing in a page head section. You can set its ID, HttpEquiv, Name, Content, Scheme properties, which correspond to id, http-equiv, name, content, and scheme attributes for a meta tag, respectively.

- since: 3.0
- version: $Id: THead.php 1509 2006-11-25 20:51:43Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/THead.php (line 193)

    TComponent
       |
       --TMetaTag

Method Summary
string getContent ()
string getHttpEquiv ()
string getID ()
string getName ()
string getScheme ()
void render (THtmlWriter $writer)
void setContent (string $value)
void setHttpEquiv (string $value)
void setID (string $value)
void setName (string $value)
void setScheme (string $value)
Methods
getContent (line 267)

- return: content attribute of the meta tag
- access: public

string getContent ()
getHttpEquiv (line 235)

- return: http-equiv attribute of the meta tag
- access: public

string getHttpEquiv ()
getID (line 219)

- return: id of the meta tag
- access: public

string getID ()
getName (line 251)

- return: name attribute of the meta tag
- access: public

string getName ()
getScheme (line 283)

- return: scheme attribute of the meta tag
- access: public

string getScheme ()
render (line 300)

Renders the meta tag.

- access: public

void render (THtmlWriter $writer)

- THtmlWriter $writer: writer for the rendering purpose

setContent (line 275)

- access: public

void setContent (string $value)

- string $value: content attribute of the meta tag

setHttpEquiv (line 243)

- access: public

void setHttpEquiv (string $value)

- string $value: http-equiv attribute of the meta tag

setID (line 227)

- access: public

void setID (string $value)

- string $value: id of the meta tag

setName (line 259)

- access: public

void setName (string $value)

- string $value: name attribute of the meta tag

setScheme (line 291)

- access: public

void setScheme (string $value)

- string $value: scheme attribute of the meta tag

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:05 -0400 by phpDocumentor 1.3.0RC4